Import CA certificate and create global-trusted-ca object
put
/rest/{version}/configuration/certificates/caBundle
This API allows a REST client to import CA signed certificates from certificate bundle and create a global-trusted-ca object in configuration. The CA certificates that will be imported are governed by the value of the source attribute.
- bundleAll: Imports all the certificates from certificate bundle into global-trusted-ca. This is a CPU intensive operation since it involves importing 250+ certificates.
- bundleCustom: Imports all the certificates of the Organizations given in request body into the global-trusted-ca.
- X509: Imports the certificate from the requestBody into a certificate-record and add it to the new global-trusted-ca object. Please note for this the certificate-record without a certificate must already be present in the config, and it's name should be provided in the request body
- bundleAll: Imports all the certificates from certificate bundle into global-trusted-ca. This is a CPU intensive operation since it involves importing 250+ certificates.
- bundleCustom: Imports all the certificates of the Organizations given in request body into the global-trusted-ca.
- X509: Imports the certificate from the requestBody into a certificate-record and add it to the new global-trusted-ca object. Please note for this the certificate-record without a certificate must already be present in the config, and it's name should be provided in the request body
Request
Path Parameters
-
version(required):
REST API version string.
Available values: v1.2
Query Parameters
-
listName(required):
Name of the global-trusted-ca to be created.
-
source(required):
Source of CA-certificates to be imported
Header Parameters
-
Authorization(required):
The value in the Authorization header must be the string "
Bearer {access token}", where{access token}is a valid, unexpired token received in response to a prior/rest/{version}/auth/tokenrequest.
Response
200 Response
OK - Name of newly create global-trusted-ca is returned in response body
400 Response
The request is malformed in some way or is missing required information and therefore cannot be processed.
401 Response
Unauthorized - Request lacks valid authentication credentials.
404 Response
Unsupported version ID in URI or unknown instance is requested in the URL.
423 Response
The request requires the configuration lock and failed because the client does not currently own the lock. If another client or user currently owns the configuration lock, the error message is "Resource locked by another user". If no client or user owns the configuration lock, the error message is "User does not have the lock".